'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _object_resource = require('./object_resource');

var _object_resource2 = _interopRequireDefault(_object_resource);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

function _possibleConstructorReturn(self, call) { if (!self) { throw new ReferenceError("this hasn't been initialised - super() hasn't been called"); } return call && (typeof call === "object" || typeof call === "function") ? call : self; }

function _inherits(subClass, superClass) { if (typeof superClass !== "function" && superClass !== null) { throw new TypeError("Super expression must either be null or a function, not " + typeof superClass); } subClass.prototype = Object.create(superClass && superClass.prototype, { constructor: { value: subClass, enumerable: false, writable: true, configurable: true } }); if (superClass) Object.setPrototypeOf ? Object.setPrototypeOf(subClass, superClass) : subClass.__proto__ = superClass; } /*
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               * Resources
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                               */


/*
* Class to send group to the API
*/
var Group = function (_ObjectResource) {
  _inherits(Group, _ObjectResource);

  function Group() {
    _classCallCheck(this, Group);

    return _possibleConstructorReturn(this, (Group.__proto__ || Object.getPrototypeOf(Group)).apply(this, arguments));
  }

  return Group;
}(_object_resource2.default);

Object.defineProperty(Group, 'RESOURCE_NAME', {
  enumerable: true,
  writable: true,
  value: 'group'
});
Object.defineProperty(Group, 'BASE_URL', {
  enumerable: true,
  writable: true,
  value: '/groups'
});
exports.default = Group;