'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }(); /*
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     * Libraries
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     */


var _deepmerge = require('deepmerge');

var _deepmerge2 = _interopRequireDefault(_deepmerge);

var _util = require('./util');

var _util2 = _interopRequireDefault(_util);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

/*
* Global variable
*/
var _globalLiveQAConfigurations = {};

var DEFAULT = {
  version: '1.5.0',
  libraryName: 'liveqa',
  language: 'javascript',
  host: 'https://api.liveqa.io',
  apiVersion: 'v1',
  trackerCookieName: 'liveqa_tracker_id',
  enabled: true,
  obfuscatedFields: [],
  metadata: {}
};

/*
* Configurations
*/

var Config = function () {
  function Config() {
    _classCallCheck(this, Config);
  }

  _createClass(Config, null, [{
    key: 'initialize',
    value: function initialize() {
      var attributes = arguments.length > 0 && arguments[0] !== undefined ? arguments[0] : {};

      this.configurations = (0, _deepmerge2.default)(DEFAULT, attributes);

      this._build();
    }
  }, {
    key: 'reset',
    value: function reset() {
      _globalLiveQAConfigurations = _util2.default.clone(DEFAULT);
      this._build();
    }
  }, {
    key: '_build',


    // private

    value: function _build() {
      var _this = this;

      Object.keys(_globalLiveQAConfigurations).forEach(function (key) {
        _this[key] = _globalLiveQAConfigurations[key];
      });
    }
  }, {
    key: 'configurations',
    set: function set(attributes) {
      _globalLiveQAConfigurations = attributes;
    },
    get: function get() {
      return _globalLiveQAConfigurations;
    }
  }]);

  return Config;
}();

exports.default = Config;