'use strict';

Object.defineProperty(exports, "__esModule", {
  value: true
});

var _createClass = function () { function defineProperties(target, props) { for (var i = 0; i < props.length; i++) { var descriptor = props[i]; descriptor.enumerable = descriptor.enumerable || false; descriptor.configurable = true; if ("value" in descriptor) descriptor.writable = true; Object.defineProperty(target, descriptor.key, descriptor); } } return function (Constructor, protoProps, staticProps) { if (protoProps) defineProperties(Constructor.prototype, protoProps); if (staticProps) defineProperties(Constructor, staticProps); return Constructor; }; }(); /*
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     * Libraries
                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                                     */


/*
* Resources
*/


var _v = require('uuid/v4');

var _v2 = _interopRequireDefault(_v);

var _deepmerge = require('deepmerge');

var _deepmerge2 = _interopRequireDefault(_deepmerge);

var _config = require('./config');

var _config2 = _interopRequireDefault(_config);

var _util = require('./util');

var _util2 = _interopRequireDefault(_util);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

function _classCallCheck(instance, Constructor) { if (!(instance instanceof Constructor)) { throw new TypeError("Cannot call a class as a function"); } }

/*
* Build messages
*/
var Message = function () {
  function Message() {
    _classCallCheck(this, Message);
  }

  _createClass(Message, null, [{
    key: 'base',
    get: function get() {
      return _util2.default.deepCompact({
        messageId: (0, _v2.default)(),
        timestamp: new Date().toISOString(),
        sessionTrackerId: (0, _v2.default)(),
        metadata: _config2.default.configurations.metadata
      });
    }
  }, {
    key: 'extended',
    get: function get() {
      var payload = _util2.default.deepCompact({
        library: this._library
      });

      return (0, _deepmerge2.default)(this.base, payload);
    }

    // Private

  }, {
    key: '_library',
    get: function get() {
      return {
        name: _config2.default.libraryName,
        language: _config2.default.language,
        version: _config2.default.version
      };
    }
  }]);

  return Message;
}();

exports.default = Message;