import {
  expect,
  createSandbox,
  sourcesPath,
} from './support/setup.js';

const Event = require(`${sourcesPath}/event`).default;

describe('Event', () => {

  describe('.RESOURCE_NAME', () => {
    it('return the correct name', () => {
      expect(Event.RESOURCE_NAME).to.eq('event');
    });
  });

  describe('.BASE_URL', () => {
    it('return the correct name', () => {
      expect(Event.BASE_URL).to.eq('/events');
    });
  });

});
