import {
  expect,
  createSandbox,
  sourcesPath,
} from './support/setup.js';

const Identity = require(`${sourcesPath}/identity`).default;

describe('Identity', () => {

  describe('.RESOURCE_NAME', () => {
    it('return the correct name', () => {
      expect(Identity.RESOURCE_NAME).to.eq('identity');
    });
  });

  describe('.BASE_URL', () => {
    it('return the correct name', () => {
      expect(Identity.BASE_URL).to.eq('/identities');
    });
  });

});
